﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.Data.OleDb;

namespace LoadCSV
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            DataTable dt = GetDataTableFromCSV(@"..\..\cbp11us.txt");            
            c1FlexGrid1.ItemsSource = dt.DefaultView;            
            C1DataGrid.ItemsSource = dt.DefaultView;            
        }

        public DataTable GetDataTableFromCSV(string strFileName)
      {
          try
          {
              System.Data.OleDb.OleDbConnection conn = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + System.IO.Path.GetDirectoryName(strFileName) + ";Extended Properties=\"Text;HDR==YES;FMT=Delimited\"");              
              conn.Open();
              string strQuery = "Select * from [" + System.IO.Path.GetFileName(strFileName) + "]";
              System.Data.OleDb.OleDbDataAdapter da = new System.Data.OleDb.OleDbDataAdapter(strQuery, conn);
              System.Data.DataSet ds = new System.Data.DataSet();
              da.Fill(ds);
              return ds.Tables[0];
          }
          catch (Exception ex)
          {}
          return new DataTable();
      }
    }
}
